Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 405149 - Stabilize =net-dns/bind-9.8.1_p1
Summary: Stabilize =net-dns/bind-9.8.1_p1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Christian Ruppert (idl0r)
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks:
 
Reported: 2012-02-21 13:37 UTC by Christian Ruppert (idl0r)
Modified: 2012-04-01 15:29 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
x86_64-pc-linux-gnu-gcc: driver.o: no such file (bind-9.8.1_p1-20120302-062545.log,565.36 KB, text/plain)
2012-03-02 06:56 UTC, thanasis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Ruppert (idl0r) gentoo-dev 2012-02-21 13:37:40 UTC
Please stabilize =net-dns/bind-9.8.1_p1.
Comment 1 Agostino Sarubbo gentoo-dev 2012-02-21 13:45:00 UTC
Christian, if we need to stabilize 9.8.x series because it fixes a lot of bug that we have in 9.7, is ok. If not I'd prefer to wait next release/fix and stabilize in security bug 402661. What do you think about?
Comment 2 Agostino Sarubbo gentoo-dev 2012-02-22 10:05:17 UTC
amd64 stable
Comment 3 Jeroen Roovers (RETIRED) gentoo-dev 2012-02-22 19:58:51 UTC
Stable for HPPA.
Comment 4 Brent Baude (RETIRED) gentoo-dev 2012-02-23 20:24:56 UTC
ppc done
Comment 5 thanasis 2012-03-02 06:56:14 UTC
Created attachment 303935 [details]
x86_64-pc-linux-gnu-gcc: driver.o: no such file

Doesn't compile here
Comment 6 barul 2012-03-02 07:19:50 UTC
Same error here, amd64.
Comment 7 Marcel Greter 2012-03-02 08:49:10 UTC
I have the same problem with driver.o: no such file. I'm also on amd64 (hardened profile) and my use flags are: berkdb caps dlz mysql ssl urandom -doc -geoip -gost -gssapi -idn -ipv6 -ldap -odbc -pkcs11 -postgres -rpz -sdb-ldap (-selinux) -static-libs* -threads -xml.
Adding use flag 'static-libs' solves the compilation issues for me.
Comment 8 Milos Ivanovic 2012-03-02 09:36:45 UTC
Hi team,

This should not have been stabilised as it can't even compile on some people's systems.

I too am getting the same error on amd64:
x86_64-pc-linux-gnu-gcc -shared -o driver.so driver.o
x86_64-pc-linux-gnu-gcc: driver.o: No such file or directory
x86_64-pc-linux-gnu-gcc: no input files
make[4]: *** [driver.so] Error 1

I couldn't say why I think this is happening, but in response to the previous comment, adding static-libs as a USE flag has resolved it for me as well (but I am guessing that is a workaround, not a solution.)
Comment 9 barul 2012-03-02 19:35:01 UTC
Well I did compile it once, before an ebuild update I think. Actually bind-9.8.1_p1 is installed on my system.
Portage says the only change will be USE="static-libs" to USE="-static-libs".
Comment 10 Christian Ruppert (idl0r) gentoo-dev 2012-03-03 13:01:56 UTC
Sorry guys, the static-libs commit wasn't actually meant to go into 9.8.1 so this was a mistake. I just reverted that commit so please proceed with the stabilization.
static-libs will be part of >=9.9.0 only.
Comment 11 aditsu 2012-03-07 15:47:20 UTC
x86_64-pc-linux-gnu-gcc: driver.o: No such file or directory
Comment 12 Christian Ruppert (idl0r) gentoo-dev 2012-03-07 20:42:12 UTC
(In reply to comment #11)
> x86_64-pc-linux-gnu-gcc: driver.o: No such file or directory

Make sure your copy of the tree is up2date.
Comment 13 aditsu 2012-03-08 00:26:50 UTC
(In reply to comment #12)
> (In reply to comment #11)
> > x86_64-pc-linux-gnu-gcc: driver.o: No such file or directory
> 
> Make sure your copy of the tree is up2date.

Thanks, it worked now
Comment 14 Brent Baude (RETIRED) gentoo-dev 2012-03-09 14:20:26 UTC
ppc64 done
Comment 15 Markus Meier gentoo-dev 2012-03-12 19:38:06 UTC
arm stable
Comment 16 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2012-03-24 17:11:21 UTC
x86 stable
Comment 17 Raúl Porcel (RETIRED) gentoo-dev 2012-04-01 15:29:32 UTC
alpha/ia64/s390/sh/sparc stable